/*************************************************************************
 *
 *                  Elektor Car Accelerometer Project V1.0
 *
 *************************************************************************
 * FileName:        main.h
 * Dependencies:    None
 * Processor:       HCS08
 * Compiler:        Code Warrior 5.1
 * Company:         Freescale Semiconductor
 *
 * Author                Date          Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * James Courtier        00/00/2006    Original.
 ************************************************************************/
  
/** P U B L I C  P R O T O T Y P E S ************************************/
void init(void);
void delay(int n);
void Byte2LED(char Val, char Dir, char SenMode);
char buttonstat(void);
char readADC(char chan);
void DisplayAnim(char mode);
void UpdateDisplay(char Sens);
char IncSens(char Sens);
void PowerOff(void);
void VRTI_ISR(void);
void AccCal(void);
char AccFil(char acc);

/** D E F I N I T I O N S ***********************************************/
#define ON      1
#define OFF     0

/** LED Matrix **/
#define LEDPRTD PTBD        //Port that the LED matrix is connected to
#define DirY    0           //ByteToLED column selector
#define DirX    2           //ByteToLED column selector
#define PosYLED 0           //Storage location in array for +ve Y val
#define NegYLED 1           //Storage location in array for -ve Y val
#define PosXLED 2           //Storage location in array for +ve X val
#define NegXLED 3           //Storage location in array for -ve X val
#define LEDCOLL 0b00001000  //Bitmap for Left Column
#define LEDCOLR 0b00010000  //Bitmap for Right Column
#define LEDCOLF 0b00100000  //Bitmap for Forward Column
#define LEDCOLB 0b01000000  //Bitmap for Backward Column
#define LEDGAR  0b00000111  //Bitmap for Green, Amber, Red
#define LEDGA   0b00000011  //Bitmap for Green, Amber
#define LEDG    0b00000001  //Bitmap for Green
#define LEDA    0b00000010  //Bitmap for Amber
#define LEDR    0b00000100  //Bitmap for Red
#define LEDOFF  0b00000000  //Bitmap for off

/** ADC Channels **/
#define ACC_X   0b00000     //ADC channel for accelerometer X value
#define ACC_Y   0b00001     //ADC channel for accelerometer Y value
#define BUTTONS 0b00010     //ADC channel for button resistor ladder value
#define ACC_SLP 0b01000     //PORTA Pin for acellerometer sleep

/** Buttons **/
#define PwrBut    1         //Power button number
#define SenBut    2         //Sensitivity button number
#define avsamples 5         //Numbers of samples to average button value over
#define but1max   0x10      //Max ADC value for Button1
#define but1min   0x00      //Min ADC value for Button1
#define but2max   0x85      //Max ADC value for Button2
#define but2min   0x75      //Min ADC value for Button2

/** Sensitivity calibration settings **/
#define HighSen 0           //High sensitivity mode status value
#define MedSen  1           //Med sensitivity mode status value
#define LowSen  2           //Low sensitivity mode status value
#define AccCen  127         //Zero G value for accelerometer


